be.ehealth.businessconnector.chapterIV.wrapper.factory.impl

## Class AskXmlObjectFactory

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.wrapper.factory.impl.AskXmlObjectFactory

- All Implemented Interfaces:
    XmlObjectFactory

      public class AskXmlObjectFactory
      extends Object
      implements XmlObjectFactory

  implementation of `XmlObjectFactory` for type 'admission'. (also referred to in namespaces as Ask ).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AskXmlObjectFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Chap4MedicalAdvisorAgreementRequestWrapper<AskChap4MedicalAdvisorAgreementRequest>` | `createChap4MedicalAdvisorAgreementRequest()` creates a Chap4MedicalAdvisorAgreementRequest request, in a wrapped object ( which implements the common interface ).
    `SealedRequestWrapper<Request>` | `createSealedRequest()` creates a sealed request, in a wrapped object ( which implements the common interface ).
    `UnsealedRequestWrapper<Request>` | `createUnsealedRequest()` creates a unsealed request, in a wrapped object ( which implements the common interface ).
    `String` | `getSubtypeNameToRetrieveCredentialTypeProperties()` returns the subtype to use in the property key to retrieve credential type properties in ACLUtils.createAclChapterIV.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AskXmlObjectFactory

          public AskXmlObjectFactory()

  - ### Method Detail

    - #### createSealedRequest

          public SealedRequestWrapper<Request> createSealedRequest()

      Description copied from interface: `XmlObjectFactory`
      creates a sealed request, in a wrapped object ( which implements the common interface ).
      Specified by:
        `createSealedRequest` in interface `XmlObjectFactory`
      Returns:
        the `SealedRequestWrapper`
      See Also:
        `XmlObjectFactory.createSealedRequest()`

    - #### createUnsealedRequest

          public UnsealedRequestWrapper<Request> createUnsealedRequest()

      Description copied from interface: `XmlObjectFactory`
      creates a unsealed request, in a wrapped object ( which implements the common interface ).
      Specified by:
        `createUnsealedRequest` in interface `XmlObjectFactory`
      Returns:
        `UnsealedRequestWrapper`
      See Also:
        `XmlObjectFactory.createUnsealedRequest()`

    - #### createChap4MedicalAdvisorAgreementRequest

          public Chap4MedicalAdvisorAgreementRequestWrapper<AskChap4MedicalAdvisorAgreementRequest> createChap4MedicalAdvisorAgreementRequest()

      Description copied from interface: `XmlObjectFactory`
      creates a Chap4MedicalAdvisorAgreementRequest request, in a wrapped object ( which implements the common interface ).
      Specified by:
        `createChap4MedicalAdvisorAgreementRequest` in interface `XmlObjectFactory`
      Returns:
        `Chap4MedicalAdvisorAgreementRequestWrapper`
      See Also:
        `XmlObjectFactory.createChap4MedicalAdvisorAgreementRequest()`

    - #### getSubtypeNameToRetrieveCredentialTypeProperties

          public String getSubtypeNameToRetrieveCredentialTypeProperties()

      Description copied from interface: `XmlObjectFactory`
      returns the subtype to use in the property key to retrieve credential type properties in ACLUtils.createAclChapterIV.
      Specified by:
        `getSubtypeNameToRetrieveCredentialTypeProperties` in interface `XmlObjectFactory`
      Returns:
        String
      See Also:
        `XmlObjectFactory.getSubtypeNameToRetrieveCredentialTypeProperties()`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.